# collada.light.AmbientLight

class collada.light.AmbientLight(id, color, xmlnode=None)

  Ambient light as defined in COLLADA tag <ambient>.

  __init__(id, color, xmlnode=None)

    Create a new ambient light.

    Parameters

      - id (str) – A unique string identifier for the light

      - color (tuple) – Either a tuple of size 3 containing the RGB color value of the light or a tuple of size 4 containing the RGBA color value of the light

      - xmlnode – If loaded from xml, the xml node

  Methods

  `__init__`(id, color[, xmlnode]) | Create a new ambient light.
  `bind`(matrix) | Binds this light to a transform matrix.
  `load`(collada, localscope, node) | Load and return a class instance from an XML node.
  `save`() | Saves the light's properties back to `xmlnode`

  Attributes

  `xmlnode` | ElementTree representation of the light.
  `id` | The unique string identifier for the light
  `color` | Either a tuple of size 3 containing the RGB color value of the light or a tuple of size 4 containing the RGBA color value of the light